
#ifndef CONSTS_H
#define CONSTS_H

#include <PA9.h>

const u8 PALETTE_CHARS=0;
const u8 PALETTE_GAMEPLAY=1;
const u8 PALETTE_MENU=2;
const u8 PALETTE_DATA=3;

//----------------------------------------------------------------

const u8 NUM_LIFE_BAR_SPRITES=4;
const u8 NUM_MISSILE_BAR_SPRITES=4;
const u8 NUM_KANA=52;
const u8 NUM_KANJI=6;
const u8 NUM_READING_SPRITES=8;
//const u8 NUM_KANA_SPRITES=8;
const u8 NUM_METEORS=6;
const u8 NUM_HIGHLIGHT_BAR_SPRITES=8;
const u8 NUM_TRIGGER_SPRITES=2;
const u8 NUM_GRADE_PROGRESS_BAR_SPRITES=7;
const u8 NUM_TOTAL_PROGRESS_BAR_SPRITES=11;
const u8 NUM_COMBO_DIGIT_SPRITES=3;
const u8 NUM_DATA_VIEWER_MENU_OPTIONS=3;
//const u8 NUM_BROWSER_KANJI=4;
//const u8 NUM_BROWSER_KANA=40;

//---------------------------------------------------------------

const u8 SPRITE_CURSOR=0;
const u8 SPRITE_MISSILE=1;
const u8 SPRITE_EXPLOSION=2;
const u8 SPRITE_MISSILE_ICON=3;
const u8 SPRITE_LIFE_ICON=4;

const u8 SPRITE_BEGIN_LIFE_BAR=5;

const u8 SPRITE_BEGIN_MISSILE_BAR 
= SPRITE_BEGIN_LIFE_BAR + NUM_LIFE_BAR_SPRITES;

const u8 SPRITE_BEGIN_METEOR
= SPRITE_BEGIN_MISSILE_BAR + NUM_MISSILE_BAR_SPRITES;

const u8 SPRITE_COMBO_BACKGROUND
= SPRITE_BEGIN_METEOR + NUM_METEORS;

const u8 SPRITE_BEGIN_COMBO_DIGIT
= SPRITE_COMBO_BACKGROUND + 1;

//-----------------------------------------------

const u8 SPRITE_BEGIN_HIGHLIGHT_BAR
=SPRITE_BEGIN_COMBO_DIGIT + NUM_COMBO_DIGIT_SPRITES;

const u8 SPRITE_BEGIN_LEFT_TRIGGER
=SPRITE_BEGIN_HIGHLIGHT_BAR + NUM_HIGHLIGHT_BAR_SPRITES;

const u8 SPRITE_BEGIN_RIGHT_TRIGGER
=SPRITE_BEGIN_LEFT_TRIGGER + NUM_TRIGGER_SPRITES;

//-----------------------------------------------

const u8 SPRITE_BEGIN_GRADE_PROGRESS_BAR
=SPRITE_BEGIN_RIGHT_TRIGGER + NUM_TRIGGER_SPRITES;

const u8 SPRITE_BEGIN_TOTAL_PROGRESS_BAR
=SPRITE_BEGIN_GRADE_PROGRESS_BAR + NUM_GRADE_PROGRESS_BAR_SPRITES;

const u8 SPRITE_BROWSER_NAV_LEFT_BACKGROUND
=SPRITE_BEGIN_TOTAL_PROGRESS_BAR + NUM_TOTAL_PROGRESS_BAR_SPRITES;

const u8 SPRITE_BROWSER_NAV_RIGHT_BACKGROUND
=SPRITE_BROWSER_NAV_LEFT_BACKGROUND+1;

const u8 SPRITE_BROWSER_NAV_LEFT_ARROWS
=SPRITE_BROWSER_NAV_RIGHT_BACKGROUND+1;

const u8 SPRITE_BROWSER_NAV_RIGHT_ARROWS
=SPRITE_BROWSER_NAV_LEFT_ARROWS+1;

const u8 SPRITE_BROWSER_NAV_LEFT_KANA
=SPRITE_BROWSER_NAV_RIGHT_ARROWS+1;

const u8 SPRITE_BROWSER_NAV_RIGHT_KANA
=SPRITE_BROWSER_NAV_LEFT_KANA+1;

const u8 SPRITE_BROWSER_BACK_BACKGROUND
=SPRITE_BROWSER_NAV_RIGHT_KANA+1;

const u8 SPRITE_BROWSER_BACK_CONTENT
=SPRITE_BROWSER_BACK_BACKGROUND+1;

const u8 SPRITE_BEGIN_BROWSER_MENU_BACKGROUND
=SPRITE_BROWSER_BACK_CONTENT+1;

const u8 SPRITE_BEGIN_BROWSER_MENU_CONTENT
=SPRITE_BEGIN_BROWSER_MENU_BACKGROUND+NUM_DATA_VIEWER_MENU_OPTIONS;

const u8 SPRITE_BEGIN_KANA
=SPRITE_BEGIN_BROWSER_MENU_CONTENT+NUM_DATA_VIEWER_MENU_OPTIONS;

const u8 SPRITE_BEGIN_KANJI
=SPRITE_BEGIN_KANA+NUM_KANA;

#endif
